org.richfaces.renderkit

## Class OrderingComponentControlsHelper

- java.lang.Object
- - org.richfaces.renderkit.OrderingComponentControlsHelper

-     public class OrderingComponentControlsHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_CAPTION_LABEL`
    `static java.lang.String` | `CONTROL_ALT_ATTRIBUTE_POSTFIX`
    `static java.lang.String` | `CONTROL_LABEL_ATTRIBUTE_SUFFIX`
    `static java.lang.String` | `DISABLED_STYLE_PREF`
    `static java.lang.String` | `FACET_CAPTION`
    `protected static OrderingComponentRendererBase.ControlsHelper[]` | `HELPERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingComponentControlsHelper()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACET_CAPTION

          public static final java.lang.String FACET_CAPTION

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_CAPTION_LABEL

          public static final java.lang.String ATTRIBUTE_CAPTION_LABEL

      See Also:
        Constant Field Values

    - #### CONTROL_LABEL_ATTRIBUTE_SUFFIX

          public static final java.lang.String CONTROL_LABEL_ATTRIBUTE_SUFFIX

      See Also:
        Constant Field Values

    - #### CONTROL_ALT_ATTRIBUTE_POSTFIX

          public static final java.lang.String CONTROL_ALT_ATTRIBUTE_POSTFIX

      See Also:
        Constant Field Values

    - #### DISABLED_STYLE_PREF

          public static final java.lang.String DISABLED_STYLE_PREF

      See Also:
        Constant Field Values

    - #### HELPERS

          protected static final OrderingComponentRendererBase.ControlsHelper[] HELPERS

  - ### Constructor Detail

    - #### OrderingComponentControlsHelper

          public OrderingComponentControlsHelper()

Copyright © 2014. All Rights Reserved.